<?php
/**
 * 
 */
class Fiktiv_Translate_Adapter_Ini extends Fiktiv_Translate_Adapter
{
    protected $_translateAdapter = null;

    public function  __construct($options = array()) {
        $this->_translateAdapter = new Zend_Translate_Adapter_Ini($options);

        parent::__construct($options);
    }

    public function __call($name, $args) {
        return call_user_func_array(array($this->_translateAdapter, $name), $args);
    }

    /**
     * Just wrap Zend_Translate_Adapter_Ini
     */
    protected function _loadTranslationData($data, $locale, array $options = array())
    {
        return $this->_translateAdapter->_loadTranslationData($data, $locale, $options);
    }

    /**
     * Just wrap Zend_Translate_Adapter_Ini
     */
    public function toString()
    {
        return $this->_translateAdapter->toString();
    }
}